Bug 28518 - "Return to the last advanced search" exclude keywords if more than 3
Summary: "Return to the last advanced search" exclude keywords if more than 3
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on: 13307
Blocks:
  Show dependency treegraph
 
Reported: 2021-06-04 15:00 UTC by Claes
Modified: 2021-06-22 01:08 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:
21.11.00,21.05.01,20.11.07


Attachments
Bug 28518: Display missing inputs for "Return to the last advanced search" (1.54 KB, patch)
2021-06-05 14:11 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 28518: Display missing inputs for "Return to the last advanced search" (1.58 KB, patch)
2021-06-06 20:38 UTC, David Nind
Details | Diff | Splinter Review
Bug 28518: Display missing inputs for "Return to the last advanced search" (1.58 KB, patch)
2021-06-11 17:06 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 28518: Display missing inputs for "Return to the last advanced search" (1.64 KB, patch)
2021-06-15 13:54 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Claes 2021-06-04 15:00:28 UTC
After performing an advanced search with more than 3 keywords I use the option "Return to the last advanced search" on the result page. However, now there are only 3 keywords.

When I use a 20.11.05. version, e.g. https://kohaopac.alingsas.se/cgi-bin/koha/opac-search.pl I can use the browser “go back one page” option and all keywords are still there.

However, in our 20.11.06 version at https://bibliotek.vti.se/cgi-bin/koha/opac-search.pl we get the same disappointing result using the "Return to the last advanced search" or the "back one page".

I have not tested to setup Koha showing more than three keywords by default. If that is a fix it is still not a real fix since both of the options "Return to ..." or "Go back ..." should be working.
Comment 1 Jonathan Druart 2021-06-05 14:11:19 UTC
Created attachment 121641 [details] [review]
Bug 28518: Display missing inputs for "Return to the last advanced search"

When more than 3 search terms are passed on the advanced search form,
the "Return to the last advanced search" feature does not display them.

Test plan:
Perform an adv search at the OPAC, enter more than 3 terms, launch the
search, click the "Return to the last advanced search" link and confirm
that all the entries are there.
Comment 2 David Nind 2021-06-06 20:38:40 UTC
Created attachment 121647 [details] [review]
Bug 28518: Display missing inputs for "Return to the last advanced search"

When more than 3 search terms are passed on the advanced search form,
the "Return to the last advanced search" feature does not display them.

Test plan:
Perform an adv search at the OPAC, enter more than 3 terms, launch the
search, click the "Return to the last advanced search" link and confirm
that all the entries are there.

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 Nick Clemens 2021-06-11 17:06:04 UTC
Created attachment 121866 [details] [review]
Bug 28518: Display missing inputs for "Return to the last advanced search"

When more than 3 search terms are passed on the advanced search form,
the "Return to the last advanced search" feature does not display them.

Test plan:
Perform an adv search at the OPAC, enter more than 3 terms, launch the
search, click the "Return to the last advanced search" link and confirm
that all the entries are there.

Signed-off-by: David Nind <david@davidnind.com>
Comment 4 Jonathan Druart 2021-06-15 13:54:07 UTC
Created attachment 122008 [details] [review]
Bug 28518: Display missing inputs for "Return to the last advanced search"

When more than 3 search terms are passed on the advanced search form,
the "Return to the last advanced search" feature does not display them.

Test plan:
Perform an adv search at the OPAC, enter more than 3 terms, launch the
search, click the "Return to the last advanced search" link and confirm
that all the entries are there.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 5 Jonathan Druart 2021-06-15 13:54:25 UTC
Added missing signed-off-by line from QA.
Comment 6 Jonathan Druart 2021-06-15 14:29:07 UTC
Pushed to master for 21.11, thanks to everybody involved!
Comment 7 Kyle M Hall 2021-06-18 14:52:57 UTC
Pushed to 21.05.x for 21.05.01
Comment 8 Kyle M Hall 2021-06-18 14:54:30 UTC
Pushed to 21.05.x for 21.05.01
Comment 9 Fridolin Somers 2021-06-21 13:29:07 UTC
Pushed to 20.11.x for 20.11.07
Comment 10 Victor Grousset/tuxayo 2021-06-22 01:08:57 UTC
Not backported to oldoldstable (20.05.x). Feel free to ask if it's needed.